#include <common/crsctrl.hpp>

void CursorControl::setCursor(int setState,CursorID cursorID)
{
	if(setState)
	{
		if(!mhCursor)mhCursor=::SetCursor(::LoadCursor(NULL,(const char*)(int)cursorID));
		::ShowCursor(TRUE);
	}
	else
	{
		if(mhCursor)
		{
			::ShowCursor(FALSE);
			::SetCursor(mhCursor);
      ::ShowCursor(TRUE);
      mhCursor=FALSE;
		}
  }
}
